ch.qos.logback.core.net

## Class AbstractSSLSocketAppender<E>

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.core.AppenderBase<E>
    - - ch.qos.logback.core.net.AbstractSocketAppender<E>
      - - ch.qos.logback.core.net.AbstractSSLSocketAppender<E>

All Implemented Interfaces:
  Appender<E>, SocketConnector.ExceptionHandler, SSLComponent, ContextAware, FilterAttachable<E>, LifeCycle

Direct Known Subclasses:
  SSLSocketAppender

    public abstract class AbstractSSLSocketAppender<E>
    extends AbstractSocketAppender<E>
    implements SSLComponent

An abstract base for module specific `SSLSocketAppender` implementations located in other logback modules.

Author:
  Carl Harris

### Field Summary

### Fields inherited from class ch.qos.logback.core.net.AbstractSocketAppender

`DEFAULT_PORT, DEFAULT_QUEUE_SIZE, DEFAULT_RECONNECTION_DELAY`

### Fields inherited from class ch.qos.logback.core.AppenderBase

`name, started`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
`protected` `AbstractSSLSocketAppender()` Constructs a new appender.

### Method Summary

Methods
`protected javax.net.SocketFactory` `getSocketFactory()` Gets an `SocketFactory` that produces SSL sockets using an `SSLContext` that is derived from the appender's configuration.
`SSLConfiguration` `getSsl()` Gets the SSL configuration.
`void` `setSsl(SSLConfiguration ssl)` Sets the SSL configuration.
`void` `start()`

### Methods inherited from class ch.qos.logback.core.net.AbstractSocketAppender

`append, connectionFailed, getEventDelayLimit, getPort, getPST, getQueueSize, getReconnectionDelay, getRemoteHost, newConnector, postProcessEvent, setEventDelayLimit, setPort, setQueueSize, setReconnectionDelay, setRemoteHost, stop`

### Methods inherited from class ch.qos.logback.core.AppenderBase

`addFilter, clearAllFilters, doAppend, getCopyOfAttachedFiltersList, getFilterChainDecision, getName, isStarted, setName, toString`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, setContext`

### Constructor Detail

#### AbstractSSLSocketAppender

    protected AbstractSSLSocketAppender()

Constructs a new appender.

### Method Detail

#### getSocketFactory

    protected javax.net.SocketFactory getSocketFactory()

Gets an `SocketFactory` that produces SSL sockets using an `SSLContext` that is derived from the appender's configuration.

Overrides:
  `getSocketFactory` in class `AbstractSocketAppender<E>`
Returns:
  socket factory

#### start

    public void start()

Specified by:
  `start` in interface `LifeCycle`
Overrides:
  `start` in class `AbstractSocketAppender<E>`

#### getSsl

    public SSLConfiguration getSsl()

Gets the SSL configuration.

Specified by:
  `getSsl` in interface `SSLComponent`
Returns:
  SSL configuration; if no configuration has been set, a default configuration is returned

#### setSsl

    public void setSsl(SSLConfiguration ssl)

Sets the SSL configuration.

Specified by:
  `setSsl` in interface `SSLComponent`
Parameters:
  `ssl` - the SSL configuration to set